Redmine - Defect #2868

Cannot View Reposity Files or Diffs
2009-03-01 04:07 - Rami Kassab

Status: Closed Start date: 2009-03-01
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

Even though we are successfully able to browse the repository, anytime we try to view a specific file or diff, we are presented with
"The entry or revision was not found in the repository."

System Details:

® svn, version 1.5.1 (r32289)
o Running via dav_svn for Apache 2.2.8
o Using HTTPS
mysql Ver 14.12 Distrib 5.0.51a, for debian-linux-gnu (i486) using readline 5.2
ruby 1.8.6 (2007-09-24 patchlevel 111) [i486-linux]
Rails 2.2.2
Redmine revision 2538

Upon examination of the production log, we see the following:

Processing RepositoriesControllerf#entry (for 166.129.110.83 at 2009-02-28 18:58:05) [GET]
Parameters: {"rev"=>"606", "action"=>"entry", "id"=>"kassabjewelers", "controller"=>"repositorie
s", "path"=>["branches", "inventory", "kassabjewelers", "jewelry", "admin.py"]}
Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>
/usr/lib/ruby/1.8/rexml/parsers/treeparser.rb:27:in ‘parse'
/usr/lib/ruby/1.8/rexml/document.rb:227:in “build'
/usr/lib/ruby/1.8/rexml/document.rb:43:1in “initialize'
/var/www/sites/code.typethink.com/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:85:in "ne
wV
/var/www/sites/code.typethink.com/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:85:in ‘en
tries’
/var/www/sites/code.typethink.com/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:181:in “cal
ll
/var/www/sites/code.typethink.com/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:181:in °she
llout'
/var/www/sites/code.typethink.com/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:179:in "“pop
en'
/var/www/sites/code.typethink.com/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:179:in " she
llout'
/var/www/sites/code.typethink.com/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:165:in " she
llout'
/var/www/sites/code.typethink.com/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:82:in “en
tries'
/var/www/sites/code.typethink.com/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:93:in “entr
yV
/var/www/sites/code.typethink.com/redmine/app/models/repository.rb:59:in “entry'
/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/1lib/active_record/associations/association_proxy.rb
:214:in " send'
/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/1lib/active_record/associations/association_proxy.rb
:214:in "method_missing'
/var/www/sites/code.typethink.com/redmine/app/controllers/repositories_controller.rb:112:in “entry
T
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1lib/action_controller/base.rb:1253:in "send'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/base.rb:1253:in "perform_action
_without_filters'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/filters.rb:617:in “call_filters
L}

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1lib/action_controller/filters.rb:610:in "perform_acti
on_without_benchmark'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/benchmarking.rb:68:in “perform_
action_without_rescue'

/usr/lib/ruby/1.8/benchmark.rb:293:in ‘measure'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/benchmarking.rb:68:in “perform_
action_without_rescue'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/rescue.rb:136:in “perform_actio
n_without_caching’
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/caching/sql_cache.rb:13:in “pas
senger_orig_perform_action'
/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/1lib/active_record/connection_adapters/abstract/quer
y_cache.rb:34:in " cache'
/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/1lib/active_record/query_cache.rb:8:in "cache'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/caching/sgl_cache.rb:12:in "pas
senger_orig_perform_action'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1lib/passenger/railz/request_handler.rb:53:in “perform_
action'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/base.rb:524:in "send'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/base.rb:524:in ‘process_without
_filters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/filters.rb:606:1in "process_with
out_session_management_support'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/session_management.rb:134:in "p
rocess'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/base.rb:392:in “process'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/dispatcher.rb:183:in “handle_re
quest'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/dispatcher.rb:110:in “dispatch_
unlocked'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/dispatcher.rb:123:in “dispatch'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/dispatcher.rb:122:in "~synchroni
ze'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1lib/action_controller/dispatcher.rb:122:in “dispatch’
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/dispatcher.rb:132:in “dispatch_
cgi'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/dispatcher.rb:39:in “dispatch'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1lib/passenger/railz/request_handler.rb:38:1in ‘process_
request'
/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/abstract_request_handler.rb:165:in ‘main
_loop'
/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/railz/application_spawner.rb:321:in "sta
rt_request_handler'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1ib/passenger/railz/application_spawner.rb:282:in " han
dle_spawn_application'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1lib/passenger/utils.rb:163:in "safe_fork'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1lib/passenger/utils.rb:161:in "~ fork'
/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/utils.rb:161:in "safe_fork'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1lib/passenger/railz/application_spawner.rb:280:in "han
dle_spawn_application'

/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/utils.rb:163:in "safe_fork'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1ib/passenger/utils.rb:161:in " fork'
/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1ib/passenger/utils.rb:161:in "safe_fork'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1ib/passenger/railz/application_spawner.rb:279:in " han
dle_spawn_application'
/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/abstract_server.rb:317:in ~__send_ '

/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/abstract_server.rb:317:in ‘main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/abstract_server.rb:168:in "start_synchro
nously'

/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/abstract_server.rb:135:in “start'
/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/abstract_server.rb:112:in " fork'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1lib/passenger/abstract_server.rb:112:in "“start'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1lib/passenger/railz/application_spawner.rb:179:in ’sta

rt'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1lib/passenger/railz/framework_spawner.rb:270:in "~handl
e_spawn_application’

/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/railz/framework_spawner.rb:263:in " synch
ronize'
/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/railz/framework_spawner.rb:263:in "“handl
e_spawn_application'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1lib/passenger/abstract_server.rb:317:in "_ _send_ '
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1ib/passenger/abstract_server.rb:317:in ‘main_loop'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1ib/passenger/abstract_server.rb:168:in "start_synchro
nously'

/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/abstract_server.rb:135:in " start'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1lib/passenger/abstract_server.rb:112:in " fork'
/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/abstract_server.rb:112:in "“start'
/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1lib/passenger/railz/framework_spawner.rb:87:in " start'
/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1ib/passenger/spawn_manager.rb:222:in " spawn_rails_app
lication'

/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1ib/passenger/spawn_manager.rb:217:in "~ synchronize'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1lib/passenger/spawn_manager.rb:217:in 'spawn_rails_app
lication'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1lib/passenger/spawn_manager.rb:126:in " spawn_applicati
on'

/usr/lib/ruby/gems/1.8/gems/passenger—-2.0.6/1ib/passenger/spawn_manager.rb:251:in “handle_spawn_ap
plication’

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1ib/passenger/abstract_server.rb:317:in "_ send_ '
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1ib/passenger/abstract_server.rb:317:in ‘main_loop'
/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/1lib/passenger/abstract_server.rb:168:in "“start_synchro
nously'

/usr/lib/ruby/gems/1.8/gems/passenger-2.0.6/bin/passenger-spawn-server:46

No close tag for /lists/list

Line:
Position:

Last 80 unconsumed characters:

Output was:

<?xml version="1.0"7?>

<lists>
<list

path="https://svn.typethink.com/kassabjewelers/branches/inventory/kassabjewelers/jewelry">

Rendering template within layouts/base

Completed in 2057ms

(View:

98, DB: 23)

500 Internal Server Error

[https://code.typethink.com/pro

jects/kassabjewelers/repository/revisions/606/entry/branches/inventory/kassabjewelers/jewelry/admi

n.py]

History

#1 - 2009-03-01 11:15 - Jean-Philippe Lang

Please, set the log level to :debug in environment.rb and report the log.

#2 - 2009-03-02 06:04 - Rami Kassab

Jean-Philippe Lang wrote:

Please, set the log level to :debug in environment.rb and report the log.

This is what | get after following your instructions and restarting the app (the rep login credentials have been masked):

Processing RepositoriesController#diff (for 166.129.219.78 at 2009-03-01 21:02:37) [GET]
Parameters: {"rev"=>"609", "action"=>"diff", "id"=>"kassabjewelers", "controller"=>"repositories", "path"=>][
"branches", "inventory", "kassabjewelers", "media", "js", "Jjquery.js"1}
SQL (0.3ms) SELECT max (" settings’ .updated_on) AS max_updated_on FROM " settings’
User Load (0.3ms) SELECT * FROM ‘users’ WHERE (‘users' . id’ = 4) AND (users.status = 1)
Project Load (0.3ms) SELECT * FROM "projects’ WHERE ( projects . identifier’ = 'kassabjewelers') LIMIT 1
Repository Load (0.3ms) SELECT * FROM "repositories’ WHERE ( repositories’ .project_id = 3) LIMIT 1
EnabledModule Load (0.3ms) SELECT * FROM "enabled_modules’™ WHERE ( enabled_modules’ .project_id = 3)
UserPreference Load (0.4ms) SELECT * FROM "user_preferences  WHERE ( user_preferences’ .user_id = 4) LIMIT

1

Cached fragment hit: views/repositories/diff/7/b5c57275a791891eadf5180fee065d0e (0.1lms)

Shelling out: svn diff -r 608:609 'https://svn.typethink.com/kassabjewelers//branches/inventory/kassabjewelers
/media/Jjs/jquery.js'
Rendering template w
Project Load

ct_id WHERE (( membe

SQL (2.3ms) SELE
Wiki Load (11.1lms)
SQL (0.3ms) SELE

Completed in 286ms (

(0.4ms)

@609 —--username
ithin layouts/base
rs' .user_id = 4)
CT count (*)

SELECT * FROM
CT count (*)
View: 68,

DB: 16) |

#3 - 2009-03-02 06:06 - Rami Kassab

Rami Kassab wrote:

Jean-Philippe Lang wrote:

Txx*x*x*xxxxxx

SELECT “projects’
AND

.* FROM "projects’

**paSSWOId Thxx*x*x*xxxxxx 1

((projects.status=1)))

AS count_all FROM ‘versions'
‘wikis®
AS count_all FROM “boards®
500 Internal Server Error

Please, set the log level to :debug in environment.rb and report the log.

This is what | get after following your instructions and restarting the app (the rep login credentials have been masked):

(-]

That was for trying to view a diff. This is the output | get when just trying to view the file itself:

WHERE (" versions' .project_id
WHERE (" wikis' .project_id = 3) LIMIT 1
WHERE (" boards’ .project_id

= 3)
[https://code.typethink.com/projects/kassab]j
ewelers/repository/revisions/609/diff/branches/inventory/kassabjewelers/media/js/jquery. js]

INNER JOIN members ON projects.id

3)

= members.proje

Processing RepositoriesController#entry (for 166.129.219.78 at 2009-03-01 21:07:18) [GET]
Parameters: {"rev"=>"609", "action"=>"entry", "id"=>"kassabjewelers", "controller"=>"repositories", "path"=>
["branches", "inventory", "kassabjewelers", "media", "js", "Jjquery.js"]}
SQL (0.3ms) SELECT max ( settings’ .updated_on) AS max_updated_on FROM ' settings’
User Load (0.3ms) SELECT * FROM “users’  WHERE (‘users . id’ = 4) AND (users.status = 1)
Project Load (0.3ms) SELECT * FROM "projects’ WHERE ( projects . identifier’ = 'kassabjewelers') LIMIT 1
Repository Load (0.3ms) SELECT * FROM "repositories’™ WHERE ( repositories’ .project_id 3) LIMIT 1
EnabledModule Load (0.3ms) SELECT * FROM " enabled_modules®™ WHERE ( enabled_modules’ .project_id = 3)
Shelling out: svn list —-xml 'https://svn.typethink.com/kassabjewelers//branches/inventory/kassabjewelers/medi
2/ 980609 —tsernane [wEHwIthnedl ——paggierel UWIahahuaah
Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>

/usr/lib/ruby/1.8/rexml/parsers/treeparser.rb:27:in ‘parse'
/usr/lib/ruby/1.8/rexml/document.rb:227:in “build'
/usr/lib/ruby/1.8/rexml/document.rb:43:in “initialize'

/var/www/sites/code.
/var/www/sites/code.
/var/www/sites/code
/var/www/sites/code
/var/www/sites/code.
/var/www/sites/code.
/var/www/sites/code.
/var/www/sites/code.
/var/www/sites/code.
/var/www/sites/code.

.typethink.
.typethink.

typethink.com/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:85:in

typethink

typethink.
typethink.
typethink.
typethink.
typethink.
typethink.

com/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:
com/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:
com/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:
com/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:
com/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:82:in “entries'
com/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:93:in “entry'

com/redmine/app/models/repository.rb:59:in “entry'

:181:
181:
179:
179:
165:

in
in
in
in
in

‘new'

.com/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:85:in “entries'
com/redmine/lib/redmine/scm/adapters/abstract_adapter.rb ‘call!
“shellout'
“popen'
“shellout'
“shellout'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/1ib/active_record/associations/association_proxy.rb:214:in

dr

/usr/lib/ruby/gems/1.8/gems/activerecord-2.2.2/1ib/active_record/associations/association_proxy.rb:214:in

hod_missing'

/var/www/sites/code.typethink.com/redmine/app/controllers/repositories_controller.rb:112:in “entry'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

ters'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

enchmark'

/usr/lib/ruby/gems/1.

ut_rescue'

8/gems/actionpack-2.
8/gems/actionpack-2.

8/gems/actionpack-2.
8/gems/actionpack-2.

8/gems/actionpack-2.

2o
20

2/lib/action_controller/base.rb:
2/lib/action_controller/base.rb:

.2/1lib/action_controller/filters.
.2/1lib/action_controller/filters.

/usr/lib/ruby/1.8/benchmark.rb:293:in ‘measure'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1lib/action_controller/benchmarking.rb:68:in “perform_action_witho

ut_rescue'
/usr/lib/ruby/gems/1
ching'

/usr/lib/ruby/gems/1.

perform_action'

/usr/lib/ruby/gems/1.

4:in "cache'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

perform_action'
1253:1in

“send'

‘sen

‘met

1253:in "perform_action_without_fil

rb:617:1in

“call_filters'

rb:610:in “perform_action_without_b

.2/1lib/action_controller/benchmarking.rb:68:in “perform_action_witho

.8/gems/actionpack-2.2.2/lib/action_controller/rescue.rb:136:in “perform_action_without_ca

8/gems/activerecord-2.2.2/1lib/active_record/query_cache.rb:8:in "cache'
8/gems/actionpack-2.2.2/1lib/action_controller/caching/sql_cache.rb:13:in ‘“passenger_orig_

8/gems/activerecord-2.2.2/1lib/active_record/connection_adapters/abstract/query_cache.rb:3

8/gems/actionpack-2.2.2/1lib/action_controller/caching/sql_cache.rb:12:in 'passenger_orig_



/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

management_support'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

andler'

/usr/lib/ruby/gems/1.

plication'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

plication'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

plication’

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

ication'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

ication'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

8/gems/passenger—-2.0.6/1lib/passenger/railz/request_handler.rb:53:in ‘perform_action'
8/gems/actionpack-2.
8/gems/actionpack-2.

2.
2.

8/gems/actionpack-2.2

8/gems/actionpack-2.

8/gems/actionpack-2.
8/gems/actionpack-2.
8/gems/actionpack-2.

8/gems/actionpack-2.
8/gems/actionpack-2.
8/gems/actionpack-2.

8/gems/actionpack-2.
8/gems/actionpack-2.

8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.

8/gems/passenger—2.

8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.

8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.

8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.

8/gems/passenger—2.
8/gems/passenger—2.

8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.
8/gems/passenger—2.

No close tag for /lists/list

Line:
Position:

Last 80 unconsumed characters:

Output was:

<?xml version="1.0"?>

<lists>
<list

o O O O o O O o

O O O O O o o o

O O O O O O O OO o o oo o o o

NN DNDDNDDNDDNDDNDDNDDND

2/lib/action_controller/base.rb:524:in “send'
2/lib/action_controller/base.rb:524:in “process_without_filters'

.2/1lib/action_controller/filters.rb:606:in 'process_without_session_

.2/1lib/action_controller/session_management.rb:134:in “process'

.2/1lib/action_controller/base.rb:392:in ‘process'

.2/1lib/action_controller/dispatcher.
.2/1lib/action_controller/dispatcher.
.2/1lib/action_controller/dispatcher.
.2/1lib/action_controller/dispatcher.
.2/1lib/action_controller/dispatcher.
.2/1lib/action_controller/dispatcher.
.2/1lib/action_controller/dispatcher.

rb
rb:
rb:
rb:
rb:
rb:
rb:

:183:
110:
123:
122:
122:
132:

in
in
in
in
in
in

“handle_request'
“dispatch_unlocked'
“dispatch'
“synchronize'
“dispatch'
“dispatch_cgi'

39:in “dispatch’
.6/1lib/passenger/railz/request_handler.rb:38:in ‘process_request'

.6/1lib/passenger/abstract_request_handler.rb:165:in ‘main_loop'
.6/lib/passenger/railz/application_spawner.rb:321:in 'start_request_h

.6/1lib/passenger/railz/application_spawner.rb:282:1in

.6/1lib/passenger/utils.rb:163:in “safe_fork'

.6/1lib/passenger/utils.rb:161:in " fo

.6/lib/passenger/utils.rb:161:in “safe_fork'
.6/1lib/passenger/railz/application_spawner.rb:280:1in

.6/lib/passenger/utils.rb:163:in "safe_fork'

.6/1lib/passenger/utils.rb:161:in " fo

.6/1lib/passenger/utils.rb:161:in "“safe_fork'
.6/lib/passenger/railz/application_spawner.rb:279:in

.6/1lib/passenger/abstract_server.
.6/1lib/passenger/abstract_server.
.6/1lib/passenger/abstract_server.
.6/1lib/passenger/abstract_server.
.6/1lib/passenger/abstract_server.
.6/1lib/passenger/abstract_server.
.6/1lib/passenger/railz/application_spawner

rb:
rb:
rb:
rb:
rb:
rb:

rk'

rk'

317:
317:
168:
135:
112:
112:

in
in
in
in
in
in

__send__
‘main_loop'
“start_synchronously'

“handle_spawn_ap

“handle_spawn_ap

“handle_spawn_ap

‘start!

“fork!

“start!
.rb:179:in

‘start!

.6/lib/passenger/railz/framework_spawner.rb:270:in “handle_spawn_appl

.6/1lib/passenger/railz/framework_spawner.rb:263:in "“synchronize'
.6/lib/passenger/railz/framework_spawner.rb:263:in “handle_spawn_appl

.6/1lib/passenger/abstract_server.rb
.6/1lib/passenger/abstract_server.
.6/1lib/passenger/abstract_server.
.6/1lib/passenger/abstract_server.
.6/1lib/passenger/abstract_server.
.6/1lib/passenger/abstract_server.
.6/1lib/passenger/railz/framework_spawner.
.6/lib/passenger/spawn_manager.
.6/1lib/passenger/spawn_manager.
.6/1lib/passenger/spawn_manager.
.6/lib/passenger/spawn_manager.
.6/1lib/passenger/spawn_manager.
.6/1lib/passenger/abstract_server
.6/lib/passenger/abstract_server
.6/1lib/passenger/abstract_server

rb:
rb:
rb:
rb:
rb:

rb:
rb:
rb:
rb:
rb:

22
21
21
12
25

.6/bin/passenger—-spawn-server:46

317:
168:
135:
112:
112:

2:in
7:in
7:in
6:in
l:in

:317:1in

in
in
in
in
in

rb:

__send__
‘main_loop'
“start_synchronously'

‘start'
“fork!
“start!
87:in

‘start!

"spawn_rails_application'
“synchronize'

"spawn_rails_application'

‘spawn_application'
"handle_spawn_application’

.rb:317:in
.rb:317:in "main_loop'
.rb:168:in “start_synchronously'

__send__

path="https://svn.typethink.com/kassabjewelers/branches/inventory/kassabjewelers/media/js">
Rendering template within layouts/base

Project Load
ct_id WHERE

SQL (13.7ms)
Wiki Load (0.3ms)
SQL (0.3ms)

Completed in 288ms

2025-06-28

(0.4ms)
(("members’ .user_id
SELECT count (*)

SELECT count (*)
(View:

4) AND

SELECT * FROM
DB:

66, 16) |

500 Internal Server Error

SELECT ‘projects’

(

‘wikis®
AS count_all FROM "boards’

AS count_all FROM ‘versions  WHERE
WHERE ("wikis® .project_id = 3)
WHERE

.* FROM "“projects’
(projects.status=1)))

INNER JOIN members ON projects.id

(*versions’ .project_id
LIMIT 1
(“boards” .project_id
[https://code.typethink.com/projects/kassabj

members.proje

3)

3)
ewelers/repository/revisions/609/entry/branches/inventory/kassabjewelers/media/js/jquery.js]

#4 - 2009-03-02 19:41 - Jean-Philippe Lang

- Status changed from New to Closed

The following means that the svn command gives an error:

No close tag for /lists/list
Line:
Position:
Last 80 unconsumed characters:
Output was:
<?xml version="1.0"?>
<lists>
<list
path="https://svn.typethink.com/kassabjewelers/branches/inventory/kassabjewelers/media/js">

There can be many reasons for that.
Try to run this command manually in the same environment than the application. You can also run the application in development mode and svn
stderr should then be printed to log/scm.stderr.log.

#5 - 2009-03-03 02:51 - Rami Kassab

Jean-Philippe Lang wrote:

The following means that the svn command gives an error:

(-]

There can be many reasons for that.
Try to run this command manually in the same environment than the application. You can also run the application in development mode and svn
stderr should then be printed to log/scm.stderr.log.

I'm not quite sure | know how to run the project in development mode? Could you perhaps provide some quick instructions? | looked through the
config files but couldn't find anything. I'm assuming | need to manually run the project and it's development server through a command line command
but | just don't know how to do this with Rails. | haven't written in Ruby nor built an app in Rails before. | mainly use Python and Django.

Thanks!

#6 - 2009-03-03 03:14 - Rami Kassab

Jean-Philippe Lang wrote:

The following means that the svn command gives an error:

(-]

There can be many reasons for that.
Try to run this command manually in the same environment than the application. You can also run the application in development mode and svn
stderr should then be printed to log/scm.stderr.log.

Please ignore my previous reply. We figured out how to get the project in development mode and read the scm logs. Here was the issue, in case
anyone else needs a solution for this. As mentioned in the ticket, we run our SVN server behind HTTPS so there is a cert that needs to be accepted.
Redmine was running as the www-data user, whos home directory was set to /var/www, which is owned by root. The problem with that is that
www-data didn't have access to write it's own .subversion directory in /var/www so save the permanently accepted certificate. What we did was
manually created a .subversion directory in /var/www and gave it read and write access by www-data. The folder isn't hosting public files but rather
Django and Rails projects, which are in their own sub folders... in case you were wondering about the security risk.

A more reliable and clean solution would have been to re-assign the www-data user's home directory instead so for those hosting public files right out
of their /var/www folder, | recommend you do that instead (or lock down the .subversion directory in your apache conf).

Thanks for the help with discovering what the issue was. The SCM logs did indeed indicate that SVN was trying to accept the SSL cert but had no
means of doing so and storing the setting anywhere.
